Skip to main content
POST
/
abdm
/
uhi
/
v1
/
blood-bank
/
search
cURL
curl --request POST \
  --url https://api.eka.care/abdm/uhi/v1/blood-bank/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "blood_component": "<string>",
  "blood_group": "<string>",
  "search_type": "<string>",
  "district": "<string>",
  "location": {
    "lat": 123,
    "long": 123
  },
  "radius": {
    "unit": "<string>",
    "value": 123
  },
  "state": "<string>"
}
'
{
  "request_id": "<string>",
  "status": "SUCCESS"
}

Documentation Index

Fetch the complete documentation index at: https://ekacare-mintlify-changelog-may2-april-monthly-1777856908.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The API requires a Bearer token (JWT) for authentication.

Headers

X-Pt-Id
string

Eka User ID (OID)

X-Partner-Pt-Id
string

Partner User ID

X-Hip-Id
string

Partner HIP ID

Body

application/json
blood_component
string
required
blood_group
string
required
search_type
string
required
Example:

"location"

district
string

district to search, mandatory for district search

location
object

location to search, mandatory for location search

radius
object

radius to search, mandatory for location search

state
string

State of the district, mandatory for district search

Response

OK

request_id
string
status
enum<string>
Available options:
SUCCESS,
FAILURE
Example:

"SUCCESS"